You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@trafficcontrol.apache.org by dg...@apache.org on 2018/11/21 14:48:08 UTC

[trafficcontrol] 08/09: Removed broken conditional

This is an automated email from the ASF dual-hosted git repository.

dgelinas pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/trafficcontrol.git

commit 75615bdf6f7639eafd02ee961c53570a8b0330e3
Author: Steve Malenfant <st...@cox.com>
AuthorDate: Tue Nov 13 12:48:29 2018 -0500

    Removed broken conditional
---
 traffic_router/core/src/main/scripts/preinstall.sh | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/traffic_router/core/src/main/scripts/preinstall.sh b/traffic_router/core/src/main/scripts/preinstall.sh
index 5d42a0a..272c4f8 100644
--- a/traffic_router/core/src/main/scripts/preinstall.sh
+++ b/traffic_router/core/src/main/scripts/preinstall.sh
@@ -23,10 +23,8 @@ if [[ -e "/etc/init.d/tomcat" ]]; then
   chkconfig tomcat off
 fi
 
-if
-  /usr/bin/systemctl list-unit-files traffic_router.service > /dev/null
-  [ $? -eq 0 ] && /usr/bin/systemctl stop traffic_router
-fi
+/usr/bin/systemctl list-unit-files traffic_router.service > /dev/null
+[ $? -eq 0 ] && /usr/bin/systemctl stop traffic_router
 
 # delete the expanded war files from the previous version
 if [[ -e /opt/traffic_router/webapps/core ]]; then